﻿using Library.PeerGroup.GCL.Annotations;

namespace Library.Eaf.EquipmentCore.Control;

public interface IEquipmentControl : IPackageSource
{
    [NotNull]
    IEquipmentSelfDescriptionBuilder SelfDescriptionBuilder { get; }
    [NotNull]
    IEquipmentDataCollection DataCollection { get; }
    [NotNull]
    IEquipmentCommandService Commands { get; }
    [NotNull]
    IConnectionControl Connection { get; }
}