﻿using Library.Eaf.EquipmentCore.SelfDescription.ParameterTypes;

namespace Library.Eaf.EquipmentCore.SelfDescription.ElementDescription;

public class EquipmentParameter
{
    public EquipmentParameter(EquipmentParameter source, ParameterTypeDefinition typeDefinition) { }
    public EquipmentParameter(string name, ParameterTypeDefinition typeDefinition, string description, bool isTransient = false, bool isReadOnly = true) { }
    public EquipmentParameter(string id, string name, ParameterTypeDefinition typeDefinition, string description, bool isTransient = false, bool isReadOnly = true) { }

    public string Name { get; }
    public string Id { get; }
    public string Description { get; }
    public string SourcePath { get; }
    public string SourceEquipment { get; }
    public ParameterTypeDefinition TypeDefinition { get; }
    public bool IsTransient { get; }
    public bool IsReadOnly { get; }

    public override string ToString() => base.ToString();
    public string ToStringWithDetails() => base.ToString();
}