using Shared;

namespace APCViewer.Models.Methods;

public interface IBackground
{

    void Update();
    void ClearMessage();
    List<string> DoBackup();
    bool IsPrimaryInstance();
    void Stop(bool immediate);
    void SetIsPrimaryInstance();
    string GetPDSF(long Sequence);
    void ClearIsPrimaryInstance();
    string GetIPDSF(long Sequence);
    void Catch(Exception exception);
    Tuple<List<string[]>, List<string[]>> GetTimePivot(bool isGaN = false, bool isSi = false);
    Tuple<int, Dictionary<string, Dictionary<string, List<Logistics>>>, List<Tuple<string[], Logistics>>, string?> SetViewBag(string? directory, string? filter, bool isGaN = false, bool isSi = false, bool forPDSF = false, bool forIPDSF = false);

}